create database notice_board_pro;

use notice_board_pro;

create table user_nbp (
	userID integer auto_increment,
	name varchar(30),
	email varchar(40),
	telephone varchar(15),
	password varchar(34),
	primary key (userID)
);

create table notice_nbp (
	noticeID integer auto_increment,
	categoryID integer,
	heading varchar(100),
	description text,
	picture_name text,
	file_type text,
   	file_size text,
	create_date date,
	expiration_date date,
	status integer,
	userID integer,
	key (userID, expiration_date),
	primary key (noticeID)
);

create table category_nbp (
	categoryID integer auto_increment,
	category_name varchar(30),
	primary key (categoryID)
);

create table status_nbp (
	statusID integer auto_increment,
	description varchar(10),
	primary key (statusID)
);

insert into category_nbp
values (1, 'behaivour');
	
insert into category_nbp
values (2, 'sport');
	
insert into category_nbp
values (3, 'computers');	
	
insert into category_nbp
values (4, 'reminder');
	
insert into category_nbp
values (5, 'gated');
	
insert into category_nbp
values (6, 'excursion');
	
insert into category_nbp
values (7, 'other');



	
insert into status_nbp
values (1, 'active');
	
insert into status_nbp
values (2, 'cancelled');
	
insert into status_nbp
values (3, 'expired');
	